package com.webchat.domain.vo.response.lottery;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

@Data
@NoArgsConstructor
@AllArgsConstructor
public class LotteryDrawOneResponseVO extends LotteryDrawBaseResponseVO {

    @ApiModelProperty("单次抽奖中奖奖品ID")
    private Long itemId;


    public static LotteryDrawOneResponseVO of(BigDecimal balance, Long itemId) {
        LotteryDrawOneResponseVO lotteryDrawOneResponseVO = new LotteryDrawOneResponseVO(itemId);
        lotteryDrawOneResponseVO.setWalletBalance(balance);
        return lotteryDrawOneResponseVO;
    }
}
